4Z API

Upload copyrighted songs

Endpoint: POST https://4zapi.com/suno/uploads/audio

Upload copyrighted audio to Suno for continue/Persona and related operations.

Request body (application/json)

  • name (string, required): song title
  • speed_multiplier (number, required): Adjust the speed before uploading, the value range is [0.25, 2.0]
  • speed_multiplier_fix (boolean, required): Whether to fix speed. true=restore the original speed; false=retain the speed after speed adjustment
  • upload_type (string, required): Upload type. NORMAL=normal upload (free); MUSIC_COPYRIGHT=copyright upload (consumes 30 points). Fill in MUSIC_COPYRIGHT for this interface ["NORMAL", "MUSIC_COPYRIGHT"]
  • url (string, required): Refer to the source URL of the audio file, such as https://cdn1.suno.ai/xxx.mp3

Request example

{
  "name": "江海",
  "speed_multiplier": 1,
  "speed_multiplier_fix": true,
  "upload_type": "MUSIC_COPYRIGHT",
  "url": "https://cdn1.suno.ai/ad94e107-37a2-4ee1-acbe-9138a47b07b7.mp3?v=1.6"
}